import { TranslatePipe } from './../../../../shared/translate/pipes/translate.pipe';
import { ToastController } from '@ionic/angular';
import { ToastButton } from '@ionic/core';
export declare class ToastService {
    private toastController;
    private translatePipe;
    toast: HTMLIonToastElement;
    constructor(toastController: ToastController, translatePipe: TranslatePipe);
    presentToast(msg: string, btnTxt?: string, handler?: any): Promise<void>;
    getButton(btnTxt: string, handler: any): ToastButton;
}
